Page MenuHomePhabricator

RepoGroup exceptions due to "false" being passed as a key to MapCacheLRU
Closed, ResolvedPublic

Description

PHP Warning: Array key should be either a string or an integer
#0 /srv/mediawiki/php-1.32.0-wmf.12/includes/libs/MapCacheLRU.php(201): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.12/includes/libs/ProcessCacheLRU.php(67): MapCacheLRU->hasField(string, boolean, integer)
#2 /srv/mediawiki/php-1.32.0-wmf.12/includes/filerepo/RepoGroup.php(144): ProcessCacheLRU->has(string, boolean, integer)
#3 /srv/mediawiki/php-1.32.0-wmf.12/includes/GlobalFunctions.php(2831): RepoGroup->findFile(Title, array)
#4 /srv/mediawiki/php-1.32.0-wmf.12/includes/Linker.php(746): wfFindFile(Title, array)
#5 /srv/mediawiki/php-1.32.0-wmf.12/includes/specials/SpecialMIMEsearch.php(195): Linker::makeMediaLinkObj(Title, string)

Details

Related Gerrit Patches:

Event Timeline

aaron created this task.Jul 19 2018, 4:20 PM

Change 446777 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Avoid passing "false" as keys to MapCacheLRU in RepoGroup

https://gerrit.wikimedia.org/r/446777

hashar updated the task description. (Show Details)Jul 19 2018, 4:23 PM
zeljkofilipin raised the priority of this task from Medium to Unbreak Now!.Jul 19 2018, 4:33 PM

Changing priority to UBN since it's blocking the train.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJul 19 2018, 4:33 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.Jul 19 2018, 4:37 PM
zeljkofilipin removed a project: User-zeljkofilipin.

Removing myself from assigned to since I'm not the one working on this.

Change 447003 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@wmf/1.32.0-wmf.13] Avoid passing "false" as keys to MapCacheLRU in RepoGroup

https://gerrit.wikimedia.org/r/447003

Change 446777 merged by jenkins-bot:
[mediawiki/core@master] Avoid passing "false" as keys to MapCacheLRU in RepoGroup

https://gerrit.wikimedia.org/r/446777

Change 447003 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.13] Avoid passing "false" as keys to MapCacheLRU in RepoGroup

https://gerrit.wikimedia.org/r/447003

Mentioned in SAL (#wikimedia-operations) [2018-07-20T00:31:25Z] <krinkle@deploy1001> Synchronized php-1.32.0-wmf.13/includes/filerepo/: I58706b5610 and I40f6ad2a3d - T200026 (duration: 00m 56s)

Krinkle closed this task as Resolved.Jul 20 2018, 12:33 AM
Krinkle assigned this task to aaron.
Krinkle added a project: Performance-Team.
Restricted Application changed the subtype of this task from "Release" to "Task". · View Herald TranscriptDec 17 2018, 11:23 PM